nDPI/utils/get_routes_by_asn.sh
Toni b2648a45a3
Added Edgecast and Cachefly CDNs. (#1540)
* Improved ASN update script
 * Ran `utils/update_every_lists.sh'
 * `tests/do.sh.in' prints the amount of failed pcap(s)
 * `utils/asn_update.sh' prints the amount of failed download(s)

Signed-off-by: lns <matzeton@googlemail.com>
2022-05-07 09:33:25 +02:00

25 lines
572 B
Bash
Executable file

#!/bin/sh
set -e
if [ "$#" -ne 1 ]; then
echo "Usage: $0 AS-Number" >&2
exit 1
fi
LIST=/tmp/asn.json
ORIGIN="https://stat.ripe.net/data/announced-prefixes/data.json?resource=$1"
http_response=$(curl -s -o "${LIST}" -w "%{http_code}" "${ORIGIN}")
if [ "$http_response" != "200" ]; then
echo "Error $http_response: service temporiarally not available?" >&2
exit 1
elif [ "$http_response" != "200" ]; then
echo "Error $http_response: wrong ASN number/format?" >&2
exit 1
fi
jq -r '.data.prefixes[].prefix' $LIST | grep -v ":"
rm -f $LIST
exit 0